
#define CMD_MOVE_TO 0
#define CMD_LINE_TO 1

typedef struct _pes_command   PESCommand;
typedef struct _pes_context   PESContext;

struct _pes_command
{
  gint      cmd;
  gdouble   x;
  gdouble   y;
  gint      x_stitch;
  gint      y_stitch;
};

struct _pes_context
{
  gdouble       min_x;
  gdouble       max_x;
  gdouble       min_y;
  gdouble       max_y;
  gdouble       scale;
  gdouble       x0;
  gdouble       y0;
  GList        *commands;
  gdouble       cur_x;
  gdouble       cur_y;
};



void    pes_cmd_move_to      (PESContext   *context,
                              gdouble       x,
                              gdouble       y);
                                                
void    pes_cmd_line_to      (PESContext   *context,
                              gdouble       x,
                              gdouble       y);
                                                
void    pes_cmd_rel_move_to  (PESContext   *context,
                              gdouble       x,
                              gdouble       y);
                                              
void    pes_cmd_rel_line_to  (PESContext   *context,
                              gdouble       x,
                              gdouble       y);
                                                
                                                
void    pes_draw_render      (PESContext   *context,
                              cairo_t      *cr,
                              gdouble       width,
                              gdouble       height,
                              gboolean      show_starts);

void    pes_export_pes       (PESContext   *context,
                              FILE         *outfile);
                                             
void    pes_export_pec       (PESContext   *context,
                              FILE         *outfile);

